Xeno86

KernelEx 4.5.2

1,561 posts in this topic

absolutely impossible, even with KernelEx installed on 98se:

http://forums.techguy.org/windows-95-98-me...used-win98.html

http://forums.cnet.com/5208-7810_102-0.htm...ssageID=2305963

http://www.windowskb.com/Uwe/Forum.aspx/ie...7/Win98-and-IE7

IE7/IE8 depend on XP/Vista specific system DLL files & registry entries. IE7 & higher (even when forced installed on 98se PC) will permanently cripple your 98se computer and you'll have to reinstall 98se from scratch to undo the mess. IE7 on Win9x, NOT worth it!

Never say never.

In such cases it reminds me of WIne project. I guess KernelEx could also (as the Wine) use separate plain text file for the foreign registry entries (by blacklisting them or whitelisting W98 branches). And stubs for specific DLLs could also be developed (if real files on disk are needed). But at first you should make IE7/IE8 running under Wine. Then the process under KernelEx would be lot easier. IMHO :)

Sorry for a dev-like message when I am not one.

0

Share this post


Link to post
Share on other sites
How do I activate AdvancedGDI for a program?

I want to try Inkscape in the new KEX, but it seems like it still doesn't come with AdvancedGDI enabled by default, despite being a GTK2.8 program.

Set it to run in XP mode.

Well, tried that, got a weird looking over-sized empty dialog, and the program never started up.

It didn't exactly work perfectly on KEx 3, but it worked better than that. Maybe I'm missing something...

0

Share this post


Link to post
Share on other sites

1st GREAT job. I now can run Firefox 3.0.8 on a PII running ME

I am having trouble getting Flash 10.0.22.87 to install. It says unsupported OS and the Flash install log show ME.

I did the reg update and tried the campat tap too.

Any ideas?

Thanks and keep up the good work.

0

Share this post


Link to post
Share on other sites
1st GREAT job. I now can run Firefox 3.0.8 on a PII running ME

I am having trouble getting Flash 10.0.22.87 to install. It says unsupported OS and the Flash install log show ME.

I did the reg update and tried the campat tap too.

Are you running KEx4 RC2? Also, do note that only the firefox / netscape version will work. The ActiveX version will not (flashplayer_10_ax.exe or something to that effect).

WHat I find also worked (might be in this case) was changing the OS version in the other reg path too. The one on the second post indicates:

[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion]

Instead, using regedit, navigate to:

[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion]

.. and change the key 'VersionNumber' to something like 5.10.2222, making sure to keep note what your version said before changes so as to set it back to the correct one after install.

Edited by Chozo4
0

Share this post


Link to post
Share on other sites

Hi Xeno, good work as always.

Just two questions:

1. does KEX 4 integrate SH95UPD "extensions" ?

2. do you plan to add some sort of - graphical - mod to let users understand that they're using KEX at glance ?

(it could be a theme, icon set or just a wallpaper, IMHO)

Edited by patchworks
0

Share this post


Link to post
Share on other sites

Congratulations: great job!

I had problems after the installation (Rundll Error and taskmon error). I had to repeat the installation several times after registry reinstallation. Finally Win98 plays. Stability is increased.

0

Share this post


Link to post
Share on other sites
2. do you plan to add some sort of - graphical - mod to let users understand that they're using KEX at glance ?

(it could be a theme, icon set or just a wallpaper, IMHO)

Personally I would be very upset if any application would do that without me specifically telling/allowing it to do so.

If there are any generic settings that could be altered, a Control Panel applet would be the best choice. The user would know if it's installed by looking in Add/Remove Programs; there's also the Compatibility tab that indicates KernelEx's presence.

In both the above situations, the version and build number (maybe even build date) of KernelEx could be shown, for quick identification.

0

Share this post


Link to post
Share on other sites
1. does KEX 4 integrate SH95UPD "extensions" ?

Errm, SH95UPD is actually meant to sit under KernelEx, and Xeno86 is not involved in SH95UPD's development.

So, no, KEX 4 does NOT integrate SH95UPD's "extensions" as they now use different architectures(SH95UPD patches SHELL32.dll directly like Pre-0.40 KEX, while KEX 0.40 seems to use another method) + KEX is NOT aware(for now) that SH95UPD exists and functions under it...

In both the above situations, the version and build number (maybe even build date) of KernelEx could be shown, for quick identification.

I think that such a version number is already displayed under the compatibility tab..

Edited by sp193
0

Share this post


Link to post
Share on other sites

Hello! First of all, great job and thank you! Is it possible to run Google Chrome on Windows 98 SE? Because I tried wit KernelEX, and it did nothing. It doesn't even install. I don't know if Chrome is supposed to work on 98SE, I'm just asking.

Thank you!

0

Share this post


Link to post
Share on other sites

I've got Skype 4.0.0.224 starting in Windows 98SE with KernelEx 4.0 RC2... (Skype 2.x and 3.x ran without KernelEx)

The installer downloads the MSI file and then does nothing.

The MSI file can be run from the current Temp folder (Skype.msi).

Video doesn't work properly (never has in 9x).

However, I get frequent message boxes every time a window shows or focus changes, saying:

A call to an OS function failed

These appear to be related to the window top bar controls.

Revolutions Pack is not installed during this time.

Edit 1: InterVideo MediaOne Gallery 2.0 installs but fails to run without KernelEx.

But with KernelEx 4.0 RC2, it appears to run correctly. :yes:

Edit 2: Blender 2.48a is working with KernelEx - for all those 3D rendering and animation buffs out there! :thumbup

Blender requires Python 2.5.x which is 9x compatible anyway.

It also requires the Microsoft Visual C++ 2008 Redistributable.

When the redist install is run, it will fail, but it has already copied the following files into %windir%\SYSTEM32.

msvcm90.dll

msvcp90.dll

msvcr90.dll

Simply copy these three files into %windir%\SYSTEM.

Edited by RetroOS
0

Share this post


Link to post
Share on other sites

Hmm... decided to give winamp 5.x another kick around - see how it works out with KEx4. Alas, it works fine other than an age old issue since even KEx3. After either playing for a few songs or entering the options - winamp shoots up to a full 90~100% CPU usage from normal 1~5%.

Issue Report:

O/S: Windows 98SE v4.10.2222

KEx Ver: KernelEx Core v4.0.12

App: NullSoft Winamp v5.551

Descript: CPU usage ramps up from 1~5% to 90~100% during normal use or after options access.

Reproduce: Run winamp, play an mp3 or so and open the options menu, close options, then take note of the CPU use.

Work Pre-KEx?: No, requires KernelEx to function.

Notes: After install, remove Gen_ml.dll and Gen_Jumpex.dll from the plugins directory before running as these crash winamp (On load and on configuration saving respectively). During the 90%~100% cpu issue, the cpu use seems to go down to normal if you have a sub-menu open from the options screen (such as a plugin config menu) temporarily. However, winamp returns to 90%~100% after closing the options submenu's. It seems to be but a single (the main?) thread causing the winamp proccess to completely max out the CPU according to WinTop. Additionally, pausing or stopping playback does not lower the max CPU use of winamp's main thread.

Edited by Chozo4
0

Share this post


Link to post
Share on other sites

I've tested Miranda IM 0.7.17 Unicode and works fine, only the Settings Menu will not work. The 0.8 Testing Build 29 Unicode will crash, if i go to Settings.

Edited by Sebijk
0

Share this post


Link to post
Share on other sites

Just want to inquire if anyone has tried using Yahoo Messenger 9 using KernelEX RC2. I read in another thread that the Beta version doesn't install at all. I'm wondering if the latest YM9 version would work this time. The old version of YM could not connect with the YM9 version anymore when it comes to video (webcam) chatting.

0

Share this post


Link to post
Share on other sites
:thumbup Installed Avast4.8 and my shutdown/reboot problems "ceased"-Very interesting outcome?why?:RP9.09 and Kex4.0rc2 with Win98SE fully Updated .***Programs that also run smoother,now are:Gimp2.0/withGtK installed from my Win98FE system,Nero 7updated(to 7.1version)installed from my Win2000AdvancedServer system. :rolleyes: Outlook Express 6sp1 e-mails,sends/receives now,too! :thumbup Edited by thydreamwalker
0

Share this post


Link to post
Share on other sites

thydreamwalker: Nero 7.2.7.0 is said to be the last version working in Win9x without KernelEx. I've had 7.0.0.0 installed on my machine since September 2006 and has been working fine so far, apart from a relatively recent (and minor, to me) issue with UberSkin and a fresh 'not enough memory' warning after upgrading from 256 to 512 MB RAM.

Xeno86: I'm sorry but I cannot curently test KernelEx since I'm using RP9. :blushing: When their conflict will have been fixed, I'll resume testing.

Edited by Drugwash
0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.